Bug 1064786

Summary: python-scrapy-1.3.2 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: python-scrapyAssignee: Eduardo Echeverria <echevemaster>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, echevemaster, jberan, pviktori
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---Flags: jberan: needinfo? (echevemaster)
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-24 16:07:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816, 1312032    
Attachments:
Description Flags
[patch] Update to 0.24.6 (#1064786)
none
[patch] Update to 1.0.0rc1 (#1064786)
none
[patch] Update to 1.0.0rc2 (#1064786)
none
[patch] Update to 1.0.0rc3 (#1064786)
none
[patch] Update to 1.0.0 (#1064786)
none
[patch] Update to 1.0.1 (#1064786)
none
[patch] Update to 1.0.4 (#1064786)
none
[patch] Update to 1.0.5 (#1064786)
none
[patch] Update to 1.1.0rc1 (#1064786)
none
[patch] Update to 1.1.0rc3 (#1064786)
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Update to 1.2.0 version including Python 3 subpackage
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Update to 1.2.1 version including Python 3 subpackage
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Update to 1.2.2 version including Python 3 subpackage
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Update to 1.3.0 version including Python 3 subpackage
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. none

Description Upstream Release Monitoring 2014-02-13 10:05:11 UTC
Latest upstream release: 0.22.1
Current version/release in Fedora Rawhide: 0.22.0-1.fc21
URL: https://pypi.python.org/packages/source/S/Scrapy/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-02-19 10:22:47 UTC
Latest upstream release: 0.22.2
Current version/release in Fedora Rawhide: 0.22.0-1.fc21
URL: https://pypi.python.org/packages/source/S/Scrapy/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2014-06-29 16:50:30 UTC
Latest upstream release: 0.24.1
Current version/release in Fedora Rawhide: 0.22.0-2.fc21
URL: https://pypi.python.org/packages/source/S/Scrapy/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2014-07-11 08:57:22 UTC
Latest upstream release: 0.24.2
Current version/release in Fedora Rawhide: 0.22.0-2.fc21
URL: https://pypi.python.org/packages/source/S/Scrapy/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Upstream Release Monitoring 2014-08-12 08:32:03 UTC
Latest upstream release: 0.24.4
Current version/release in Fedora Rawhide: 0.22.0-2.fc21
URL: https://pypi.python.org/packages/source/S/Scrapy/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Upstream Release Monitoring 2015-02-26 01:13:20 UTC
Latest upstream release: 0.24.5
Current version/release in rawhide: 0.24.4-1.fc22
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 6 Upstream Release Monitoring 2015-02-26 01:18:11 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9078245

Comment 7 Upstream Release Monitoring 2015-04-20 13:19:42 UTC
Latest upstream release: 0.24.6
Current version/release in rawhide: 0.24.4-1.fc22
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-04-20 13:19:51 UTC
Created attachment 1016377 [details]
[patch] Update to 0.24.6 (#1064786)

Comment 9 Upstream Release Monitoring 2015-04-20 13:25:29 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9518499

Comment 10 Upstream Release Monitoring 2015-05-23 01:48:18 UTC
Latest upstream release: 1.0.0rc1
Current version/release in rawhide: 0.24.4-1.fc22
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 11 Upstream Release Monitoring 2015-05-23 01:48:25 UTC
Created attachment 1028967 [details]
[patch] Update to 1.0.0rc1 (#1064786)

Comment 12 Upstream Release Monitoring 2015-05-23 01:59:16 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9831661

Comment 13 Upstream Release Monitoring 2015-06-06 01:23:56 UTC
Latest upstream release: 1.0.0rc2
Current version/release in rawhide: 0.24.4-1.fc22
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 14 Upstream Release Monitoring 2015-06-06 01:24:03 UTC
Created attachment 1035522 [details]
[patch] Update to 1.0.0rc2 (#1064786)

Comment 15 Upstream Release Monitoring 2015-06-06 01:27:57 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9963475

Comment 16 Upstream Release Monitoring 2015-06-13 01:24:53 UTC
Latest upstream release: 1.0.0rc3
Current version/release in rawhide: 0.24.4-1.fc22
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 17 Upstream Release Monitoring 2015-06-13 01:24:59 UTC
Created attachment 1038209 [details]
[patch] Update to 1.0.0rc3 (#1064786)

Comment 18 Upstream Release Monitoring 2015-06-13 01:30:37 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10036965

Comment 19 Upstream Release Monitoring 2015-06-20 01:28:17 UTC
Latest upstream release: 1.0.0
Current version/release in rawhide: 0.24.4-2.fc23
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 20 Upstream Release Monitoring 2015-06-20 01:28:24 UTC
Created attachment 1041107 [details]
[patch] Update to 1.0.0 (#1064786)

Comment 21 Upstream Release Monitoring 2015-06-20 01:39:12 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10168651

Comment 22 Upstream Release Monitoring 2015-07-01 13:34:13 UTC
Latest upstream release: 1.0.1
Current version/release in rawhide: 0.24.4-2.fc23
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 23 Upstream Release Monitoring 2015-07-01 13:34:22 UTC
Created attachment 1045055 [details]
[patch] Update to 1.0.1 (#1064786)

Comment 24 Upstream Release Monitoring 2015-07-01 13:46:03 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10259429

Comment 25 Upstream Release Monitoring 2015-08-07 00:17:28 UTC
Latest upstream release: 1.0.2
Current version/release in rawhide: 0.24.4-2.fc23
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 26 Upstream Release Monitoring 2015-08-07 00:17:33 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-ZHJCl2/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-ZHJCl2/100.0%: No such file or directory

Comment 27 Upstream Release Monitoring 2015-08-12 00:19:10 UTC
Latest upstream release: 1.0.3
Current version/release in rawhide: 0.24.4-2.fc23
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 28 Upstream Release Monitoring 2015-08-12 00:19:15 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-xgDB8d/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-xgDB8d/100.0%: No such file or directory

Comment 29 Upstream Release Monitoring 2015-11-01 20:51:16 UTC
echevemaster's python-scrapy-1.0.3-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=695425

Comment 30 Upstream Release Monitoring 2016-01-08 02:13:06 UTC
Latest upstream release: 1.0.4
Current version/release in rawhide: 1.0.3-1.fc24
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 31 Upstream Release Monitoring 2016-01-08 02:13:13 UTC
Created attachment 1112687 [details]
[patch] Update to 1.0.4 (#1064786)

Comment 32 Upstream Release Monitoring 2016-01-08 02:18:57 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12459407

Comment 33 Upstream Release Monitoring 2016-02-04 00:22:27 UTC
Latest upstream release: 1.0.5
Current version/release in rawhide: 1.0.3-1.fc24
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 34 Upstream Release Monitoring 2016-02-04 00:22:34 UTC
Created attachment 1120955 [details]
[patch] Update to 1.0.5 (#1064786)

Comment 35 Upstream Release Monitoring 2016-02-04 12:17:45 UTC
Latest upstream release: 1.1.0rc1
Current version/release in rawhide: 1.0.3-1.fc24
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 36 Upstream Release Monitoring 2016-02-04 12:17:52 UTC
Created attachment 1121091 [details]
[patch] Update to 1.1.0rc1 (#1064786)

Comment 37 Upstream Release Monitoring 2016-02-05 12:54:37 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12824000

Comment 38 Upstream Release Monitoring 2016-02-29 17:12:41 UTC
Latest upstream release: 1.1.0rc2
Current version/release in rawhide: 1.0.3-2.fc24
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 39 Upstream Release Monitoring 2016-02-29 17:12:46 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-JR2cqZ/python-scrapy.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/S/Scrapy/Scrapy-1.1.0rc2.tar.gz to ./Scrapy-1.1.0rc2.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 40 Upstream Release Monitoring 2016-03-02 00:19:14 UTC
Latest upstream release: 1.1.0rc3
Current version/release in rawhide: 1.0.3-2.fc24
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 41 Upstream Release Monitoring 2016-03-02 00:19:21 UTC
Created attachment 1132090 [details]
[patch] Update to 1.1.0rc3 (#1064786)

Comment 42 Upstream Release Monitoring 2016-03-02 00:22:30 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13194027

Comment 43 Upstream Release Monitoring 2016-04-29 00:24:36 UTC
Latest upstream release: 1.1.0rc4
Current version/release in rawhide: 1.0.3-2.fc24
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 44 Upstream Release Monitoring 2016-04-29 00:24:44 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 45 Upstream Release Monitoring 2016-04-29 00:24:45 UTC
Created attachment 1152090 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 46 Upstream Release Monitoring 2016-04-29 00:24:46 UTC
Patches were not touched. All were applied properly

Comment 47 Upstream Release Monitoring 2016-05-12 00:24:10 UTC
Latest upstream release: 1.1.0
Current version/release in rawhide: 1.0.3-2.fc24
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 48 Upstream Release Monitoring 2016-05-12 00:24:16 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 49 Upstream Release Monitoring 2016-05-12 00:24:18 UTC
Created attachment 1156354 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 50 Upstream Release Monitoring 2016-05-12 00:24:19 UTC
Patches were not touched. All were applied properly

Comment 51 Upstream Release Monitoring 2016-07-14 00:48:18 UTC
Latest upstream release: 1.1.1
Current version/release in rawhide: 1.0.3-2.fc24
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 52 Upstream Release Monitoring 2016-07-14 00:48:24 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 53 Upstream Release Monitoring 2016-07-14 00:48:25 UTC
Created attachment 1179536 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 54 Upstream Release Monitoring 2016-07-14 00:48:27 UTC
Patches were not touched. All were applied properly

Comment 55 Upstream Release Monitoring 2016-08-27 13:44:40 UTC
Latest upstream release: 1.1.2
Current version/release in rawhide: 1.0.3-3.fc25
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 56 Upstream Release Monitoring 2016-08-27 13:44:48 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 57 Upstream Release Monitoring 2016-08-27 13:44:49 UTC
Created attachment 1194836 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 58 Upstream Release Monitoring 2016-08-27 13:44:51 UTC
Patches were not touched. All were applied properly

Comment 59 Petr Viktorin 2016-09-09 10:43:00 UTC
The latest upstream version supports Python 3, and all dependencies now have Python-3 compatible versions in Fedora.
Please provide a Python 3 package for Scrapy.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 60 Upstream Release Monitoring 2016-09-23 00:23:10 UTC
Latest upstream release: 1.1.3
Current version/release in rawhide: 1.0.3-3.fc25
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 61 Upstream Release Monitoring 2016-09-23 00:23:18 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 62 Upstream Release Monitoring 2016-09-23 00:23:20 UTC
Created attachment 1203970 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 63 Upstream Release Monitoring 2016-09-23 00:23:22 UTC
Patches were not touched. All were applied properly

Comment 64 Upstream Release Monitoring 2016-10-03 12:22:06 UTC
Latest upstream release: 1.2.0
Current version/release in rawhide: 1.0.3-3.fc25
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 65 Upstream Release Monitoring 2016-10-03 12:22:14 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 66 Upstream Release Monitoring 2016-10-03 12:22:16 UTC
Created attachment 1206817 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 67 Upstream Release Monitoring 2016-10-03 12:22:18 UTC
Following patches has been unapplied:
['pytz-zoneinfo.patch']

Comment 68 Jan Beran 2016-10-21 11:07:40 UTC
Created attachment 1212791 [details]
Update to 1.2.0 version including Python 3 subpackage

Comment 69 Upstream Release Monitoring 2016-10-21 12:33:15 UTC
Latest upstream release: 1.2.1
Current version/release in rawhide: 1.0.3-3.fc25
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 70 Upstream Release Monitoring 2016-10-21 12:33:25 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 71 Upstream Release Monitoring 2016-10-21 12:33:27 UTC
Created attachment 1212827 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 72 Upstream Release Monitoring 2016-10-21 12:33:30 UTC
Patches were not touched. All were applied properly

Comment 73 Jan Beran 2016-10-21 14:08:38 UTC
Created attachment 1212869 [details]
Update to 1.2.1 version including Python 3 subpackage

Comment 74 Jan Beran 2016-11-12 10:26:28 UTC
Hi Eduardo, may I ask you to review the patch and rebuild the package? Thank you.

Comment 75 Upstream Release Monitoring 2016-12-07 00:28:24 UTC
Latest upstream release: 1.2.2
Current version/release in rawhide: 1.0.3-3.fc25
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 76 Upstream Release Monitoring 2016-12-07 00:28:33 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 77 Upstream Release Monitoring 2016-12-07 00:28:35 UTC
Created attachment 1228763 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 78 Upstream Release Monitoring 2016-12-07 00:28:37 UTC
Patches were not touched. All were applied properly

Comment 79 Jan Beran 2016-12-14 15:44:07 UTC
Created attachment 1231774 [details]
Update to 1.2.2 version including Python 3 subpackage

Please review the patch and upload the newest 1.2.2 version to sources as I am not packager.

Comment 80 Upstream Release Monitoring 2016-12-22 00:26:16 UTC
Latest upstream release: 1.3.0
Current version/release in rawhide: 1.0.3-3.fc25
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 81 Upstream Release Monitoring 2016-12-22 00:26:26 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 82 Upstream Release Monitoring 2016-12-22 00:26:28 UTC
Created attachment 1234570 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 83 Upstream Release Monitoring 2016-12-22 00:26:31 UTC
Patches were not touched. All were applied properly

Comment 84 Jan Beran 2016-12-22 17:06:08 UTC
Created attachment 1234821 [details]
Update to 1.3.0 version including Python 3 subpackage

Please review the patch and upload 1.3.0 version to sources as I am not packager.

Comment 85 Upstream Release Monitoring 2017-02-14 00:28:09 UTC
Latest upstream release: 1.3.2
Current version/release in rawhide: 1.0.3-3.fc25
URL: https://pypi.python.org/pypi/Scrapy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4019/

Comment 86 Upstream Release Monitoring 2017-02-14 00:28:18 UTC
Patching or scratch build for python-scrapy-1.0.3 failed.

Comment 87 Upstream Release Monitoring 2017-02-14 00:28:20 UTC
Created attachment 1250090 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 88 Upstream Release Monitoring 2017-02-14 00:28:22 UTC
Patches were not touched. All were applied properly

Comment 89 Upstream Release Monitoring 2017-02-22 06:26:26 UTC
echevemaster's python-scrapy-1.3.2-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=860879